#!/bin/sh

APPS_NAME="sg_utils"
if [ -e sysconfig.sh ]; then
        . sysconfig.sh
        . config.sh
        . model_config.sh
else
        echo "Application "$APPS_NAME" not configured"
        exit 1;
fi

display_info "----------------------------------------------------------------------"
display_info "----------------------     build sg_utils      -----------------------"
display_info "----------------------------------------------------------------------"

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
	#make DESTDIR=${BUILD_ROOTFS_DIR} uninstall-sg_map
	make clean
	rm -f .config_ok
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

if [ "$1" = "config_only" ] ; then
	exit 0
fi

echo $IFX_CC ${IFX_CC}
echo $BUILD_ROOTFS_DIR ${BUILD_ROOTFS_DIR}

#make AR=${IFX_AR} AS=${IFX_AS} LD=${IFX_LD} NM=${IFX_NM} CC=${IFX_CC} BUILDCC=${IFX_HOSTCC} GCC=${IFX_CC} CXX=${IFX_CXX} CPP=${IFX_CPP} RANLIB=${IFX_RANLIB} IFX_CFLAGS="${IFX_CFLAGS}" IFX_LDFLAGS="${IFX_LDFLAGS}" DESTDIR=${BUILD_ROOTFS_DIR} sg_map
make CC=${IFX_CC} LD=${IFX_CC} sg_map
ifx_error_check $? 

make DESTDIR=${BUILD_ROOTFS_DIR} install-sg_map
ifx_error_check $?
